#include "uartA1.h"

#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>

#include "hw_types.h"
#include "hw_memmap.h"
#include "prcm.h"
#include "pin.h"
#include "uart.h"
#include "rom.h"
#include "rom_map.h"



void MessageSend1(char *str)
{
#ifndef NOTERM
    if(str != NULL)
    {
        while(*str!='\0')
        {
            MAP_UARTCharPut(UARTA1_BASE,*str++);
        }
    }
#endif
}


void UartA1Init()
{

  MAP_UARTConfigSetExpClk(UARTA1_BASE,MAP_PRCMPeripheralClockGet(PRCM_UARTA1), 115200,
                         (UART_CONFIG_WLEN_8 | UART_CONFIG_STOP_ONE | UART_CONFIG_PAR_NONE));
}





uInt8 UartA1Get()
{
   // Wait to receive a character over UART
   return ( MAP_UARTCharGet(UARTA1_BASE));
}

void UartA1Read(char * data, uInt8 max)
{
	uInt8 aux = 0;
	uInt8 idx = 0;

    while(idx < max && aux !='\n')
    {
    	aux = UartA1Get();
    	data[idx ++] = aux;
    }
    data[idx] = 0;
}

int UartA1Write(char *pcFormat, ...)
{
 int iRet = 0;
#ifndef NOTERM

  char *pcBuff, *pcTemp;
  int iSize = 256;
 
  va_list list;
  pcBuff = (char*)malloc(iSize);
  if(pcBuff == NULL)
  {
	  return -1;
  }
  while(1)
  {
      va_start(list,pcFormat);
      iRet = vsnprintf(pcBuff,iSize,pcFormat,list);
      va_end(list);
      if(iRet > -1 && iRet < iSize)
      {
          break;
      }
      else
      {
          iSize*=2;
          if((pcTemp=realloc(pcBuff,iSize))==NULL)
          { 
        	  MessageSend1("Could not reallocate memory\n\r");
              iRet = -1;
              break;
          }
          else
          {
              pcBuff=pcTemp;
          }
          
      }
  }
  MessageSend1(pcBuff);
  free(pcBuff);
  
#endif
  return iRet;
}
